MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022852Open CASCADE[OCCT] OCCT:VISpublic2011-12-16 13:052014-11-11 12:58
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformLinuxOSMandriva 2008OS Version32 bit
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0022852: Compiler errors IVtk_IdType definition
DescriptionIVtk_IdType is a data type that should be enough to hold vtkIdType on 32/64-bit platforms. At the same time, it should not depend on VTK headers.

Currently, it is defined as "long long" on 64-bit platforms and "long" on 32-bit, but this leads to compiler errors on M2008 32-bit when IVtk_IdType is used to instantiate NCollection templates. This should be corrected.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024904closedbugmaster Visualization - Integration of VIS component 

-  Notes
(0019073)
san (developer)
2012-01-10 16:10

Reminder sent to: rkv, vsv

Dear Vitaly,

Could you please attach the compiler output with errors to this issue so that Roman could try to find a solution?
(0019074)
san (developer)
2012-01-10 16:52

Recent news: Vitaly will take care of this issue himself.
(0019183)
vsv (developer)
2012-01-19 12:50

Resolved by integration of header file IVtk_IdType.h
(0019254)
vsv (developer)
2012-01-24 16:54

Has to be checked and closed
(0021267)
san (developer)
2012-08-18 14:40

The issues was created during development of VIS component for development needs only.
The issue has been corrected and should be closed, no testing is required.

- Issue History
Date Modified Username Field Change
2011-12-16 13:05 san New Issue
2011-12-16 13:05 san Assigned To => vsv
2011-12-16 13:05 san Status new => assigned
2011-12-26 07:39 abv Project Open CASCADE => Internal
2012-01-10 16:10 san Note Added: 0019073
2012-01-10 16:52 san Note Added: 0019074
2012-01-19 12:50 vsv Note Added: 0019183
2012-01-19 12:50 vsv Status assigned => resolved
2012-01-24 16:53 vsv Assigned To vsv => san
2012-01-24 16:54 vsv Note Added: 0019254
2012-01-24 16:54 vsv Status resolved => assigned
2012-02-02 13:42 san Status assigned => resolved
2012-02-02 13:43 san Status resolved => reviewed
2012-02-02 13:43 san Resolution open => fixed
2012-08-18 14:40 san Assigned To san => bugmaster
2012-08-18 14:40 san Note Added: 0021267
2014-09-18 09:50 abv Target Version => 6.8.0
2014-09-18 09:58 abv Category PRODUCTS:VIS => OCCT:VIS
2014-09-18 10:39 bugmaster Project Internal => Open CASCADE
2014-09-22 11:34 apn Test case number => Not needed
2014-09-22 11:34 apn Assigned To bugmaster => san
2014-09-22 11:34 apn Status reviewed => closed
2014-09-22 13:08 apn Assigned To san => bugmaster
2014-09-22 13:08 apn Status closed => feedback
2014-09-22 13:08 apn Status feedback => tested
2014-09-22 13:09 apn Status tested => verified
2014-09-22 13:09 apn Relationship added related to 0024904
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker